import { MidwayConfig } from '@midwayjs/core';
import * as path from 'path';
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1715577385578_8567',
  koa: {
    port: 19700,
  },
  //是否启用数据加密,需要与前端配合一致,否则会一端加密,一端不解密
  useCrypto: false,
  upload: {
    realdir: 'upload',
    whitelist: null,
  },
  midwayLogger: {
    default: {
      level: 'warn',
      transports: {
        file: {
          dir: path.resolve(__dirname, '../../logs'),
        },
      },
    },
  },
  jwt: {
    secret: 'Ziyouyanfa!@#',
    expiresIn: 3600, // 3600
  },
  i18n: {
    defaultLocale: 'zh-cn',
    fallbacks: {
      'en*': 'en_us',
      'zh*': 'zh-cn',
    },
    // 后期可以设置成数据库添加的方式
    localeTable: {
      en_us: {
        default: require('../locales/en_us/defaults'),
      },
      zh_cn: {
        default: require('../locales/zh_cn/defaults'),
        error: require('../locales/zh_cn/error'),
      },
    },
  },
} as MidwayConfig;
