import { MidwayError } from '@midwayjs/core';

export class ServiceError extends MidwayError {
  constructor(errcode: string) {
    super(errcode);
  }
}
export enum ErrorCode {
  TEST = 'TEST',
  // 权限,登录,角色
  NOT_LOGIN = 'NOT_LOGIN',
  ADMIN_NOT_LOGIN = 'ADMIN_NOT_LOGIN',
  ACCOUNT_HAS_EXPIRED = 'ACCOUNT_HAS_EXPIRED',
  ACCOUNT_LOGGED_IN_ELESWHERE = 'ACCOUNT_LOGGED_IN_ELESWHERE',
  USER_NOT_FOUND = 'USER_NOT_FOUND',
  BAD_PASSWORD = 'BAD_PASSWORD',
  USER_IS_DISABLED = 'USER_IS_DISABLED',
  ROLE_IS_DISABLED = 'ROLE_IS_DISABLED',
  NO_AUTH = 'NO_AUTH',


  DATA_NOT_FOUND = 'DATA_NOT_FOUND',

  // 注册:手机号已存在
  PHONE_IS_EXISTS = 'PHONE_IS_EXISTS',

  // es
  ES_ERROR = 'ES_ERROR',
  ES_INDEX_NOT_FOUND = 'ES_INDEX_NOT_FOUND',
  ES_DATA_NOT_FOUND = 'ES_DATA_NOT_FOUND',

  SERVICE_CANT_USE = 'SERVICE_CANT_USE',
  REQUSET_ERROR = 'REQUSET_ERROR',

  // params 参数部分
  ID_NOT_FOUND = 'ID_NOT_FOUND',
  BODY_ERROR = 'BODY_ERROR',
  SERVICE_APPLY = 'BODY_ERROR',
  DUPLICATE_USERS_ACCOUNT = 'DUPLICATE_USERS_ACCOUNT',
  DUPLICATE_USERS_OPENID = 'DUPLICATE_USERS_OPENID',

  CONTACTAPPLY_TARGET_USER_NOT_FOUND = 'TARGET_USER_NOT_FOUND',
  CONTACTAPPLY_HAS_APPLY_NOT_STATUS = 'CONTACTAPPLY_HAS_APPLY_NOT_STATUS',
  CONTACTAPPLY_NO_PERMISSION = 'CONTACTAPPLY_NO_PERMISSION',
  CONTACTAPPLY_NO_KEYWORD = 'CONTACTAPPLY_NO_KEYWORD',
  CONTACTAPPLY_MATCHING_NOT_ENOUGH = 'CONTACTAPPLY_MATCHING_NOT_ENOUGH',
  CONTACTAPPLY_IS_THIS_USER_DATA = 'CONTACTAPPLY_IS_THIS_USER_DATA',
  CONTACTAPPLY_DEPT_NO_ADMIN = 'CONTACTAPPLY_DEPT_NO_ADMIN',
  MATCH_NEED_USER_INFO = 'MATCH_NEED_USER_INFO',
  MATCH_USER_HAS_REGISTED = 'MATCH_USER_HAS_REGISTED',
  MATCH_NO_PERSON_TO_EXPORT = 'MATCH_NO_PERSON_TO_EXPORT',
  MATCH_NOT_FOUND = 'MATCH_NOT_FOUND'

}
