import { HttpServiceFactory, HttpService } from '@midwayjs/axios';
import { Provide, InjectClient, Config } from '@midwayjs/core';
import { ServiceError, ErrorCode } from '../error/service.error';
import { get } from 'lodash';

@Provide()
export class EsDictService {
  @Config('axios.clients./cxyy/es.baseURL')
  baseUrl: object;
  @InjectClient(HttpServiceFactory, 'default')
  serviceAxios: HttpService;

  async getDictContent() {
    const reqConfig: any = {
      url: `${this.baseUrl}/cxyy/es/dict/remote`,
      method: 'Get',
    };
    try {
      const res = await this.serviceAxios.request(reqConfig);
      if (res.status !== 200) throw new ServiceError(ErrorCode.REQUSET_ERROR);
      const data = get(res, 'data.data');
      return data;
    } catch (error) {
      console.log(error);
    }
  }
  async getStopDictContent() {
    const reqConfig: any = {
      url: `${this.baseUrl}/cxyy/es/dict/stop/remote`,
      method: 'Get',
    };
    try {
      const res = await this.serviceAxios.request(reqConfig);
      if (res.status !== 200) throw new ServiceError(ErrorCode.REQUSET_ERROR);
      const data = get(res, 'data.data');
      return data;
    } catch (error) {
      console.log(error);
    }
  }


  randomStr(len = 6) {
    return Math.random().toString(36).slice(-len);
  }
}
